﻿#chatOnline > div.text-success {
  color: darkgreen !important;
  font-weight: bold;
}

.chatFaixaLabel {
  display: flex;
  justify-content: space-between;
  align-items: center;
  min-height: 40px;
  padding-inline: 6px;
  color: #f8f3f3;
}

.chatFaixaLabel > label {
  margin: 0;
}

.chatFaixaLabel:hover {
  color: white;
}

.containerChat {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 20px;
  height: 80vh;
  max-height: 600px;
  gap: 6px;
}

@media (max-height: 880px) {
  .containerChat {
    min-height: 300px;
    height: 60vh;
  }
}
/* bloco da esquerda */
.containerChatContatos {
  display: flex;
  flex-direction: column;
  width: 250px;
  height: 100%;
  max-height: 600px;
  background-color: #FFF;
  border-radius: 15px;
  -webkit-box-shadow: 0px 3px 12px #0003;
  -moz-box-shadow: 0px 3px 12px #0003;
  box-shadow: 0px 3px 12px #0003;
}

.pointer {
  cursor: pointer;
  padding: 2px;
}

.accordion {
  display: flex;
  flex-direction: column;
  height: 65%;
}

.containerChatGrupos {
  display: flex;
  width: 100%;
  min-height: fit-content;
  max-height: 40%;
  overflow: auto;
}

.containerChatGrupoContent {
  width: 100%;
  height: 100%;
  min-height: max-content;
}

#containerChatOnlines {
  display: flex;
  min-height: fit-content;
  max-height: 40%;
  overflow: auto;
}

.alturaMinimaChatV2 {
  min-height: 50px;
}

#contatosOnlineChat {
  width: 100%;
  height: 100%;
  min-height: auto;
}

.grupoChatV2 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.contatoOnline,
.contatoOffline,
.grupoChatV2 {
  display: flex;
  align-items: center;
  padding-inline: 6px;
}

/* .listaContato {
  height: 100%;
  overflow: auto;
} */
.listaContatosGrupoChat {
  max-height: 120px;
  overflow: auto;
}

.participanteListaGrupo:hover {
  background-color: #23212180;
  color: #fff;
}

.nomeGrupoChat {
  display: flex;
  width: 80%;
  align-items: center;
}

.contadorDoContatoChatV2 {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-inline: 4px;
  padding-top: 2px;
  height: 12px;
  color: #FFF;
  font-size: 0.55rem;
  background-color: green;
  border-radius: 10px;
  margin-right: 4px;
}

.contatoOffline:hover,
.contatoOnline:hover,
.grupoChatV2:hover {
  cursor: pointer;
  background-color: #e6e6e6 !important;
}

.paraTodosContainer {
  cursor: pointer;
}

.grupoChatV2:hover .iconeEditarGrupo {
  color: black;
}

.grupoChatV2:hover .iconeExcluirGrupo {
  color: black;
}

.iconeEditarGrupo, .iconeExcluirGrupo {
  color: white;
}

/* blocos da direita */
.containerChatMensagens {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 350px;
  gap: 6px;
}

.containerChatTitle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #FFF;
  width: 100%;
  height: 60px;
  box-shadow: 0px 3px 12px #0003;
  border-radius: 15px 15px 7px 7px;
  padding-inline: 14px;
}

.containerChatDialogo {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  background-color: #FFF;
  border-radius: 7px;
  overflow: auto;
}

#iconeNotificacaoChat {
  position: absolute;
  display: flex;
  left: 264px;
  bottom: 120px;
  padding-inline: 10px;
  padding-block: 8px;
  border-radius: 7px;
  color: #FFF;
  z-index: 1;
  cursor: pointer;
}

#contadorMensagensChat {
  position: absolute;
  background-color: green;
  font-size: 0.7rem;
  right: -5px;
  top: -5px;
  padding-top: 2px;
  padding-inline: 6px;
  border-radius: 10px;
}

.contatoAbertoChat {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 40px;
  background-color: #FFF;
  color: black;
  border-radius: 7px;
}
.contatoAbertoChat .iconeGrupo {
  position: absolute;
  right: 6px;
}
.contatoAbertoChat .listaDePartipantesGrupo {
  z-index: 99;
  max-height: 200px;
  overflow: auto;
}

.mensagensChat {
  display: flex;
  flex-direction: column;
  height: 100%;
  padding-inline: 20px;
  background-color: #FFF;
  gap: 4px;
}

.chatMsgEnviada,
.chatMsgRecebida {
  display: flex;
  flex-direction: column;
  width: fit-content;
  max-width: 200px;
  border-radius: 20px;
  padding: 8px;
  font-size: 14px;
  font-family: "WBot Open Sans", "Arial";
  color: #fff;
  white-space: -moz-pre-wrap;
  white-space: -pre-wrap;
  white-space: -o-pre-wrap;
  white-space: pre-wrap;
  word-wrap: break-word;
}

.msgRemetenteDetalhe {
  font-size: 0.7rem;
  font-weight: bold;
}

.msgDataDetalhe {
  font-size: 0.6rem;
}

.chatMsgEnviada {
  margin: 2px 0 2px 25px;
  align-self: flex-end;
  z-index: 0;
  color: white;
  border-bottom-right-radius: 5px;
  box-shadow: 0px 2px 5px #0003;
}

.chatMsgRecebida {
  margin: 2px 25px 2px 0;
  float: left;
  color: black;
  position: relative;
  z-index: 1;
  border-bottom-left-radius: 5px;
  background: #eee;
  box-shadow: 0px 2px 5px #0003;
}

.containerChatCaixaDigitacao {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 130px;
  border-radius: 7px 7px 15px 15px;
  background: #fff;
}

.containerChatCaixaDigitacao textarea {
  display: flex;
  width: 100%;
  height: 100%;
  border-radius: 7px 7px 0px 0px;
  outline: none;
  border: none;
  padding: 6px 20px 20px 8px;
  resize: none;
}

.containerChatTitle,
.containerChatCaixaDigitacao,
.containerChatDialogo,
.contatoAbertoChat {
  -webkit-box-shadow: 0px 3px 12px #0003;
  -moz-box-shadow: 0px 3px 12px #0003;
  box-shadow: 0px 3px 12px #0003;
}

@keyframes animate {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0.7;
  }
  100% {
    opacity: 0;
  }
}
.alertaMensagemChat {
  animation: animate 1.5s linear infinite;
}

.opcoesCaixa {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 30px;
  background-color: #FFF;
  width: 100%;
  bottom: 10px;
  right: 20px;
  border-top: 1px solid rgba(158, 147, 147, 0.733);
  border-radius: 0px 0px 15px 15px;
  padding-inline: 10px;
}

.botaoChatEnviar {
  font-size: 20px;
  color: #212529;
}

.botaoChatEnviar:hover {
  cursor: pointer;
  color: #25b125;
}

.botaoEmoji:hover {
  cursor: pointer;
  color: #db810a;
}

.botaoApagar:hover {
  cursor: pointer;
  color: #1b94c4;
}

.opcoesCaixaDesabilitada {
  color: rgba(27, 25, 25, 0.685);
}

.opcoesCaixaDesabilitada:hover {
  color: rgba(27, 25, 25, 0.685);
}

/* width */
::-webkit-scrollbar {
  width: 8px;
}

/* Track */
::-webkit-scrollbar-track {
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: grey;
  border-radius: 8px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: grey;
}

/*Modal*/
.modalChat {
  display: none;
  position: absolute;
  justify-content: center;
  align-items: center;
  background-color: rgba(18, 26, 26, 0.637);
  border-radius: 15px;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.criarEditarGrupoChat,
.excluirGrupoChat {
  display: none;
  flex-direction: column;
  background-color: #FFF;
  padding-block: 4px;
  padding-inline: 6px;
  height: fit-content;
  width: 300px;
  border-radius: 7px;
}

.topoModalChat {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 6px;
}

.titleToastChat {
  color: #000;
  background: #fff;
  padding: 2px 6px;
  border-radius: 7px;
  font-size: 14px;
  font-weight: 100;
}

.containerToastChat {
  color: #fff;
  padding: 4px;
  font-size: 14px;
  font-weight: 100;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.containerToastChat br {
  display: inline;
  content: " ";
  padding: 0 3px;
}

/*# sourceMappingURL=data:application/json;charset=utf-8,%7B%22version%22:3,%22sourceRoot%22:%22%22,%22sources%22:%5B%22file:///C:/dev/laudosux/ClinicasWebMVC/wwwroot/css/mdw/chatv2.scss%22%5D,%22names%22:%5B%5D,%22mappings%22:%22AAAC;EACG;EACA;EACA;EACA;EACA;EACA;;;AAIF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;AACA;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;;;AAGF;EACE;EACA;;;AAGF;EACE;;;AAGF;AAAA;EAEE;;;AAGF;AAAA;EAEE;EACA;;;AAGF;EACE;EACA;EACA;EACA;;;AAGF;AAAA;AAAA;EAGE;EACA;EACA;;;AAGF;EACE;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;AAAA;AAAA;EAGE;EACA;;;AAGF;EACE;;;AAGF;EACE;;;AAGF;EACE;;;AAGF;EACE;;;AAGF;AACA;EACE;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAIF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;;;AAIF;AAAA;EAEE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;AAAA;AAAA;AAAA;EAIE;EACA;EACA;;;AAGF;EACE;IACE;;EAGF;IACE;;EAGF;IACE;;;AAIJ;EACE;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAIF;EACE;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;;;AAGF;EACE;;;AAGF;AACA;EACE;;;AAGF;AACA;EACE;;;AAGF;AACA;EACE;EACA;;;AAGF;AACA;EACE;;;AAIF;AAEA;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;AAAA;EAEE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA%22%7D */
/*# sourceMappingURL=data:application/json;charset=utf-8,%7B%22version%22:3,%22sourceRoot%22:%22%22,%22sources%22:%5B%22file:///C:/Dev/LaudosUX/ClinicasWebMVC/wwwroot/css/mdw/chatv2.scss%22%5D,%22names%22:%5B%5D,%22mappings%22:%22AAAC;EACC;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;AACA;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;EACA;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;;;AAGF;AAAA;EAEE;;;AAGF;EACE;;;AAGF;AAAA;EAEE;EACA;;;AAGF;EACE;EACA;EACA;EACA;;;AAGF;AAAA;AAAA;EAGE;EACA;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;AAAA;AAAA;EAGE;EACA;;;AAGF;EACE;;;AAGF;EACE;;;AAGF;EACE;;;AAGF;EACE;;;AAGF;AACA;EACE;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;;;AAGF;AAAA;EAEE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;AAAA;AAAA;AAAA;EAIE;EACA;EACA;;;AAGF;EACE;IACE;;EAEF;IACE;;EAEF;IACE;;;AAGJ;EACE;;;AAGF;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;EACA;;;AAGF;EACE;;;AAGF;EACE;;;AAGF;AACA;EACE;;;AAGF;AACA;EACE;;;AAGF;AACA;EACE;EACA;;;AAGF;AACA;EACE;;;AAGF;AACA;EACE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;AAAA;EAEE;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGF;EACE;EACA;EACA;EACA;;;AAGF%22%7D */

/*# sourceMappingURL=data:application/json;charset=utf-8,%7B%22version%22:3,%22sourceRoot%22:%22%22,%22sources%22:%5B%22file:///F:/Dev/_LaudosUX/ClinicasWebMVC/ClinicasWebMVC/wwwroot/css/mdw/chatv2.scss%22%5D,%22names%22:%5B%5D,%22mappings%22:%22AAAC;EACG;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;;;AAGJ;EACI;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EAEA;;;AAGJ;EACI;IACI;IACA;;;AAIR;AACA;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;;;AAGJ;EACI;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;;;AAGJ;EACI;;;AAGJ;EACI;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;;;AAGJ;AAAA;AAAA;EAGI;EACA;EACA;;;AAGJ;AAAA;AAAA;AAAA;AAKA;EACI;EACA;;;AAGJ;EACI;EACA;;;AAGJ;EACI;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;AAAA;AAAA;EAGI;EACA;;;AAGJ;EACI;;;AAGJ;EACI;;;AAGJ;EACI;;;AAGJ;EACI;;;AAGJ;AACA;EACI;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;AAEA;EACI;EACA;;AAGJ;EACI;EACA;EACA;;;AAIR;EACI;EACA;EACA;EACA;EACA;EACA;;;AAGJ;AAAA;EAEI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;;;AAGJ;EACI;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;AAAA;AAAA;AAAA;EAII;EACA;EACA;;;AAGJ;EACI;IACI;;EAGJ;IACI;;EAGJ;IACI;;;AAIR;EACI;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;;;AAGJ;EACI;EACA;;;AAGJ;EACI;EACA;;;AAGJ;EACI;EACA;;;AAGJ;EACI;;;AAGJ;EACI;;;AAGJ;AACA;EACI;;;AAGJ;AACA;EACI;;;AAGJ;AACA;EACI;EACA;;;AAGJ;AACA;EACI;;;AAGJ;AACA;EACI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;AAAA;EAEI;EACA;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;EACA;EACA;EACA;EACA;;;AAGJ;EACI;EACA;EACA;;;AAGJ;AAEA%22%7D */